VistaDB 5






VistaDB.Provider Namespace > VistaDBConnection Class : OptimizationVersionLevel Property
OptimizationVersionLevel Property
(BETA ONLY) Get the current optimization setting of this (open) VistaDBConnection as a version string (or "Off"). This string value will be the approximate version equivalent of the current optimization setting.
Syntax
'Declaration
 
<System.ObsoleteAttribute("WARNING: This property is only available temporarily in this BETA release and may not exist in subsequent beta releases or in the final 5.0 release.  (for Data Builder use only)")>
Public ReadOnly Property OptimizationVersionLevel As System.String
'Usage
 
Dim instance As VistaDBConnection
Dim value As System.String
 
value = instance.OptimizationVersionLevel
[System.Obsolete("WARNING: This property is only available temporarily in this BETA release and may not exist in subsequent beta releases or in the final 5.0 release.  (for Data Builder use only)")]
public System.string OptimizationVersionLevel {get;}
public read-only property OptimizationVersionLevel: System.String; 
System.ObsoleteAttribute("WARNING: This property is only available temporarily in this BETA release and may not exist in subsequent beta releases or in the final 5.0 release.  (for Data Builder use only)")
public function get OptimizationVersionLevel : System.String
[System.Obsolete("WARNING: This property is only available temporarily in this BETA release and may not exist in subsequent beta releases or in the final 5.0 release.  (for Data Builder use only)")]
public: __property System.string* get_OptimizationVersionLevel();
[System.Obsolete("WARNING: This property is only available temporarily in this BETA release and may not exist in subsequent beta releases or in the final 5.0 release.  (for Data Builder use only)")]
public:
property System.String^ OptimizationVersionLevel {
   System.String^ get();
}
Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also